﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RotateOverTime : MonoBehaviour
{
    enum RotationType
    {
        SinAngle,
        FromTo
    }

    [SerializeField]
    private RotationType rotationType;
	
    [SerializeField]
    private float from = 0;

    [SerializeField]
    private float to = 10;

    [SerializeField]
	private float angle = 10;

    // Update is called once per frame
    void Update()
    {
        float t = Mathf.Cos(2.0f * Time.time);
        float t2 = Mathf.Cos(3.0f * Time.time);
        switch(rotationType)
        {
            case RotationType.SinAngle:
                transform.eulerAngles = new Vector3(0.3f * angle * t2, 0, angle * t);
            break;
            case RotationType.FromTo:
                float a = Mathf.Lerp(from, to, 0.5f * (t + 1));
                transform.eulerAngles = new Vector3(0, 0, a);
            break;
        }
    }
}
